<template name="button">
  <button {{attributes}} {{disabledIfBusy}}>
    {{> Template.contentBlock}}
  </button>
</template>

<template name="buttonSave">
  {{#button type="submit" class=(concat "btn btn-save text-nowrap " event) disabled=disabled}}
    {{#if busy 'saving'}}
      <span class="fa-solid fa-circle-notch fa-spin fa-fw" aria-hidden="true"></span>
      {{i18n '_button.saving' 'Saving…'}}
    {{else}}
      {{i18n '_button.save'}}
    {{/if}}
  {{/button}}
</template>

<template name="buttonCancel">
  {{#button type="button" class=(concat "btn btn-cancel text-nowrap " event) disabled=disabled}}
    {{i18n '_button.cancel'}}
  {{/button}}
</template>

<template name="buttonEdit">
  {{#button type="button" class=(concat "btn btn-edit text-nowrap " event) disabled=disabled}}
    {{i18n '_button.edit'}}
  {{/button}}
</template>

<template name="buttonDelete">
  {{#button type="button" class=(concat "btn btn-delete text-nowrap text-danger " event) disabled=disabled}}
    {{i18n '_button.delete'}}
  {{/button}}
</template>

<template name="buttonDeleteConfirm">
  {{#button type="button" class=(concat "btn btn-danger text-nowrap " event) disabled=disabled}}
    {{#if busy 'deleting'}}
      <span class="fa-solid fa-circle-notch fa-spin fa-fw" aria-hidden="true"></span>
      {{textBusy}}
    {{else}}
      {{textIdle}}
    {{/if}}
  {{/button}}
</template>
